Summary:        Convert HTML documents into PDF or PS format
Name:           htmldoc
Version:        1.9.18
Release:        %mkrel 1
License:        GPLv2
Group:          File tools
URL:            https://michaelrsweet.github.io/htmldoc/
Source0:        https://github.com/michaelrsweet/htmldoc/releases/download/v%{version}/htmldoc-%{version}-source.tar.gz
Patch0:         CVE-2024-45508.patch
Patch1:         CVE-2024-46478.patch
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  fltk-devel
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(cups)
Requires:       fltk

%description
HTMLDOC allows you to convert HTML documents into PDF or PostScript.
Links and some specific features of PDF format can be used.

%package        nogui
Summary:        Convert HTML documents into PDF or PS format
Group:          File tools

%description    nogui
This package contains the non-GUI version of %{name}.

%prep

%setup -q
%autopatch -p1

%build
# first build the non gui version
%configure \
    --disable-rpath \
    --disable-localpng \
    --disable-localjpeg \
    --disable-localzlib \
    --without-gui

%make_build
mv htmldoc/htmldoc htmldoc-nogui
make clean

%configure \
    --disable-rpath \
    --disable-localpng \
    --disable-localjpeg \
    --disable-localzlib \
    --with-gui \
    --with-openssl-libs \
    --with-openssl-includes

%make_build

%install
make install

install -d %{buildroot}%{_bindir}
install -m0755 htmldoc-nogui %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=HTMLDoc
Comment=Convert HTML files to PDF or PostScript
Comment[fr]=Convertir des fichiers HTML en PDF ou en PostScript
Exec=%{_bindir}/%{name}
Icon=publishing_section
Terminal=false
Type=Application
StartupNotify=true
MimeType=text/html;
Categories=FileTools;Utility;
EOF

%files
%doc CHANGES.md README.md COPYING
%{_bindir}/htmldoc
%{_mandir}/man1/*
%{_docdir}/%{name}/help.html
%{_docdir}/%{name}/htmldoc.pdf
%{_datadir}/%{name}/*
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/mageia-%{name}.desktop

%files nogui
%doc CHANGES.md README.md COPYING
%{_bindir}/htmldoc-nogui


%changelog
* Fri Nov 08 2024 ns80 <ns80> 1.9.18-1.mga10
+ Revision: 2113023
- add upstream patches for CVE-2024-45508 and CVE-2024-46478 (mga#33737)
- new version 1.9.18

* Mon May 16 2022 ns80 <ns80> 1.9.15-3.mga9
+ Revision: 1858355
- add patch from Debian for CVE-2022-27114 (mga#30429)

* Thu Mar 31 2022 umeabot <umeabot> 1.9.15-2.mga9
+ Revision: 1837250
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 ns80 <ns80> 1.9.15-1.mga9
+ Revision: 1782803
- new version 1.9.15 for CVE-2022-0534 (mga#30077)

* Fri Jan 21 2022 ns80 <ns80> 1.9.14-1.mga9
+ Revision: 1769359
- new version 1.9.14 for CVE-2021-43579 (mga#29914)

* Fri Dec 24 2021 ns80 <ns80> 1.9.8-4.mga9
+ Revision: 1763536
- backport upstream patch for CVE-2021-40985 (mga#29806)

* Tue Jun 22 2021 ns80 <ns80> 1.9.8-3.mga9
+ Revision: 1731713
- add patch for CVE-2021-20308 (mga#29161)

* Tue Jun 15 2021 ns80 <ns80> 1.9.8-2.mga9
+ Revision: 1730828
- add patches from Debian for CVE-2021-23158, CVE-2021-23165, CVE-2021-23180, CVE-2021-23191, CVE-2021-23206, CVE-2021-26252, CVE-2021-26259, CVE-2021-26948 (mga#29101)

* Thu Apr 09 2020 shlomif <shlomif> 1.9.8-1.mga8
+ Revision: 1565790
- New version 1.9.8

* Tue Feb 18 2020 umeabot <umeabot> 1.9.7-2.mga8
+ Revision: 1540795
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 16 2019 daviddavid <daviddavid> 1.9.7-1.mga8
+ Revision: 1468361
- new version: 1.9.7
- add/rebase upstream patch to fix CVE-2019-19630 (mga#25876)
- add French Comment from desktop file

* Sun Sep 23 2018 umeabot <umeabot> 1.9.3-2.mga7
+ Revision: 1298214
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 shlomif <shlomif> 1.9.3-1.mga7
+ Revision: 1219381
- New version 1.9.3

* Tue Apr 03 2018 shlomif <shlomif> 1.9.2-1.mga7
+ Revision: 1215071
- New version 1.9.2

* Mon Jul 17 2017 shlomif <shlomif> 1.9-1.mga7
+ Revision: 1124427
- New version 1.9

* Sat Apr 16 2016 shlomif <shlomif> 1.8.29-1.mga6
+ Revision: 1002941
- New version 1.8.29

* Wed Mar 02 2016 umeabot <umeabot> 1.8.27-21.mga6
+ Revision: 983472
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 1.8.27-20.mga6
+ Revision: 954333
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 1.8.27-19.mga6
+ Revision: 892639
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 1.8.27-18.mga6
+ Revision: 748551
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.27-17.mga5
+ Revision: 680185
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.8.27-16.mga4
+ Revision: 526144
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 1.8.27-15.mga4
+ Revision: 435966
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 1.8.27-14.mga3
+ Revision: 353305
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 13 2011 fwang <fwang> 1.8.27-13.mga2
+ Revision: 142816
- build with libpng 1.5

* Mon Jul 11 2011 fwang <fwang> 1.8.27-12.mga2
+ Revision: 122109
- rebuild for new fltk

* Wed Jan 12 2011 dmorgan <dmorgan> 1.8.27-11.mga1
+ Revision: 7258
- add libxext-devel as BuildRequires
- imported package htmldoc


* Tue Dec 21 2010 Funda Wang <fwang@mandriva.org> 1.8.27-11mdv2011.0
+ Revision: 623660
- add gentoo patch to make it build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 1.8.27-10mdv2010.1
+ Revision: 531984
- rebuild for new openssl

* Wed Mar 31 2010 Funda Wang <fwang@mandriva.org> 1.8.27-9mdv2010.1
+ Revision: 530156
- fix desktop file

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.27-8mdv2010.1
+ Revision: 511575
- rebuilt against openssl-0.9.8m

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.27-7mdv2010.1
+ Revision: 488765
- rebuilt against libjpeg v8

* Fri Jan 08 2010 Frederik Himpe <fhimpe@mandriva.org> 1.8.27-6mdv2010.1
+ Revision: 487720
- rebuild

* Fri Sep 11 2009 Oden Eriksson <oeriksson@mandriva.com> 1.8.27-5mdv2010.0
+ Revision: 438470
- P0: security fix for CVE-2009-3050

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.8.27-4mdv2010.0
+ Revision: 416660
- rebuilt against libjpeg v7

* Sun Dec 14 2008 Funda Wang <fwang@mandriva.org> 1.8.27-3mdv2009.1
+ Revision: 314158
- fix br
- use system libs

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.8.27-2mdv2009.0
+ Revision: 218435
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Adam Williamson <awilliamson@mandriva.org> 1.8.27-2mdv2008.1
+ Revision: 136064
- oops, fix file list for real
- fix file lists
- rebuild for new era
- XDG menu
- new license policy
- spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 02 2007 Lenny Cartier <lenny@mandriva.com> 1.8.27-1mdv2007.0
+ Revision: 115892
- Update to 1.8.27 and fix url
- Import htmldoc

* Tue Mar 07 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.8.25-1mdk
- New release 1.8.25
- use mkrel

* Tue Jan 17 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.8.23-9mdk
- rebuild for openssl 0.9.8

* Fri Jul 08 2005 Lenny Cartier <lenny@mandriva.com> 1.8.23-8mdk
- rebuild

* Wed Jun 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8.23-7mdk
- added the htmldoc-nogui sub package
- fix deps
- misc spec file fixes

* Sat May 22 2004 Robert Vojta <robert.vojta@mandrake.cz> 1.8.23-6mdk
- rebuild against cooker

